## perl 5.26.1

=== debian/changelog ===
perl (5.26.1-6) unstable; urgency=high

  * [SECURITY] CVE-2018-6797: buffer overflow related to regex
                              unicode semantics.
  * [SECURITY] CVE-2018-6798: heap buffer overflow when matching
                              malformed UTF-8 characters.
  * [SECURITY] CVE-2018-6913: heap buffer overflow with large data blocks.

 -- Niko Tyni <ntyni@debian.org>  Sat, 10 Mar 2018 20:40:42 +0200

perl (5.26.1-5) unstable; urgency=medium

  * Mark _LIB_VERSION as an optional symbol for glibc 2.27 compatibility.
    Patch by Aurelien Jarno. (Closes: #890242)
  * Refresh cross build support files.
  * Apply an upstream patch by Yves Orton to fix a regexp related memory
    leak, regressed in 5.26. (Closes: #891196)
  * Build-Depend on libgdbm-compat-dev to restore the NDBM_File and
    ODBM_File modules. (Closes: #891229)

 -- Niko Tyni <ntyni@debian.org>  Fri, 23 Feb 2018 17:23:43 +0200

perl (5.26.1-4) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Use dpkg-vendor to configure perl with a vendor-specific
    "configured by" string (Closes: #884924)

  [ Niko Tyni ]
  * Also look in <version>/<archname> subdirectories for binary compatible
    modules built for older Perl versions. (Closes: #886494)
  * Backport upstream Encode patch fixing find_encoding() infinite recursion.
    (Closes: #880085)

 -- Niko Tyni <ntyni@debian.org>  Fri, 12 Jan 2018 21:31:09 +0200

perl (5.26.1-3) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Include a note about debugging information in perl-debug in the package
    description (Closes: #880117)

  [ Niko Tyni ]
  * Restore SIGUNUSED on glibc >= 2.26 to preserve ABI compatibility.
    (Closes: #875927)
  * No longer use xlocale.h, removed in glibc 2.26. (Closes: #882978)

 -- Niko Tyni <ntyni@debian.org>  Tue, 28 Nov 2017 19:44:14 +0200

perl (5.26.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Wed, 25 Oct 2017 18:19:46 +0300

perl (5.26.1-1) experimental; urgency=medium

  [ Dominic Hargreaves ]
  * Mark perl-doc as Multi-Arch: foreign (Closes: #876062)
  * New upstream release

  [ Niko Tyni ]
  * Patch Pod::Perldoc::ToTerm to set LESS=-R with sensible-pager.
    This is a hopefully temporary fix while upstream is working on the
    bigger issue. (Closes: #870340)
  * Include sources of Configure in a separate tarball component called
    "regen-configure", and verify them by regenerating Configure on every
    build using 'makeconfig' from the 'dist' package and checking for
    any changes. Special thanks to H.Merijn Brand (upstream) for helping
    with this at the Perl 5 Hackathon in Amsterdam. (Closes: #762638)

  [ Dominic Hargreaves ]
  * Replace various test skips with an upstreamable patch
  * Upload to experimental

 -- Dominic Hargreaves <dom@earth.li>  Mon, 16 Oct 2017 14:07:36 +0200
