=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: perl
 Section: perl
 Priority: standard
-Maintainer: Niko Tyni <ntyni@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Niko Tyni <ntyni@debian.org>
 Uploaders: Dominic Hargreaves <dom@earth.li>
 Standards-Version: 3.9.8
 Homepage: http://dev.perl.org/perl5/
+Testsuite: autopkgtest
 Build-Depends: file,
  cpio,
  libdb-dev,
@@ -17,8 +19,8 @@
  dpkg-dev (>= 1.17.14),
  dist,
  libc6-dev (>= 2.19-9) [s390x]
-Vcs-Git: https://anonscm.debian.org/git/perl/perl.git -b debian-5.26
-Vcs-Browser: https://anonscm.debian.org/cgit/perl/perl.git
+Vcs-Git: https://salsa.debian.org/perl-team/interpreter/perl.git
+Vcs-Browser: https://salsa.debian.org/perl-team/interpreter/perl
 
 Package: perl-base
 Essential: yes
@@ -30,20 +32,12 @@
  defoma (<< 0.11.12),
  doc-base (<< 0.10.3),
  mono-gac (<< 2.10.8.1-3),
-Breaks: autoconf2.13 (<< 2.13-45),
- perl (<< ${Upstream-Version}~),
+Breaks: perl (<< ${Upstream-Version}~),
  perl-modules (<< ${Upstream-Version}~),
- pdl (<< 1:2.007-4),
  libfile-spec-perl (<< 3.6700),
  libxsloader-perl (<< 0.27),
- libmarc-charset-perl (<< 1.2),
  libsocket-perl (<< 2.020.03),
- libcommon-sense-perl (<< 3.72-2~),
  libio-socket-ip-perl (<< 0.38),
- libalien-wxwidgets-perl (<< 0.65+dfsg-2),
- libanyevent-perl (<< 7.070-2),
- libjcode-perl (<< 2.13-3),
- libgtk2-perl-doc (<< 2:1.2491-4),
  libfile-temp-perl (<< 0.2304),
  libfile-path-perl (<< 2.12.01),
  libscalar-list-utils-perl (<< 1:1.46.02),
@@ -131,17 +125,6 @@
  libthreads-shared-perl (<< 1.56),
  libtime-piece-perl (<< 1.31),
  libencode-perl (<< 2.94),
- mrtg (<< 2.16.3-3.1),
- libhtml-template-compiled-perl (<< 0.95-1),
- libperl-apireference-perl (<< 0.09-1),
- dh-make-perl (<< 0.73-1),
- libregexp-optimizer-perl (<< 0.15-3),
- libxml-parser-lite-tree-perl (<< 0.14-1),
- libyaml-perl (<< 0.73-1),
- libload-perl (<< 0.20-1),
- libsoap-lite-perl (<< 0.712-4),
- libnet-jifty-perl (<< 0.14-1),
- ftpmirror (<< 1.96+dfsg-13)
 Replaces: perl-base (<< 5.22.0~), perl (<< 5.22.0~),
  libarchive-tar-perl (<= 1.38-2),
  libdigest-md5-perl (<< 2.55),
@@ -162,24 +145,6 @@
  libthreads-shared-perl (<< 1.56),
  libmodule-corelist-perl (<< 2.14-2),
  libencode-perl (<< 2.94),
-Provides: perl-cross-config,
- libdigest-md5-perl,
- libmime-base64-perl,
- libtime-hires-perl,
- libstorable-perl,
- libdigest-sha-perl,
- libsys-syslog-perl,
- libcompress-zlib-perl,
- libcompress-raw-zlib-perl,
- libcompress-raw-bzip2-perl,
- libio-compress-zlib-perl,
- libio-compress-bzip2-perl,
- libio-compress-base-perl,
- libio-compress-perl,
- libthreads-perl,
- libthreads-shared-perl,
- libtime-piece-perl,
- libencode-perl,
 Multi-Arch: same
 Description: shared Perl library
  This package contains the shared Perl library, used by applications
@@ -206,71 +171,7 @@
 Pre-Depends: dpkg (>= 1.17.17)
 Recommends: perl (>= ${Upstream-Version}-1),
 Conflicts: perl-modules (<< 5.22.0~),
- defoma (<< 0.11.12),
- mono-gac (<< 2.10.8.1-3)
 Breaks: perl (<< ${Upstream-Version}~),
- libpod-parser-perl (<< 1.63),
- pdl (<< 1:2.007-4),
- libansicolor-perl (<< 4.06),
- libnet-perl (<< 1:3.10),
- libattribute-handlers-perl (<< 0.99),
- libi18n-langtags-perl (<< 0.42),
- liblocale-maketext-perl (<< 1.28),
- libmath-bigint-perl (<< 1.999806),
- libnet-ping-perl (<< 2.55),
- libtest-harness-perl (<< 3.38),
- libtest-simple-perl (<< 1.302073),
- liblocale-codes-perl (<< 3.42),
- libmodule-corelist-perl (<< 5.20170922.26),
- libio-zlib-perl (<< 1.10),
- libarchive-tar-perl (<< 2.24),
- libextutils-cbuilder-perl (<< 0.280225),
- libmodule-load-perl (<< 0.32),
- liblocale-maketext-simple-perl (<< 0.21.01),
- libparams-check-perl (<< 0.38),
- libmodule-load-conditional-perl (<< 0.68),
- libversion-perl (<< 1:0.9917),
- libpod-simple-perl (<< 3.35),
- libextutils-parsexs-perl (<< 3.340000),
- libpod-escapes-perl (<< 1.07),
- libparse-cpan-meta-perl (<< 2.150010),
- libparent-perl (<< 0.236),
- libautodie-perl (<< 2.29-2),
- libthread-queue-perl (<< 3.12),
- libfile-spec-perl (<< 3.6700),
- libtime-local-perl (<< 1.2500),
- podlators-perl (<< 4.09),
- libunicode-collate-perl (<< 1.19),
- libcpan-meta-perl (<< 2.150010),
- libmath-complex-perl (<< 1.5901),
- libextutils-command-perl (<< 7.24),
- libmodule-metadata-perl (<< 1.000033),
- libjson-pp-perl (<< 2.27400.02),
- libperl-ostype-perl (<< 1.010),
- libcpan-meta-yaml-perl (<< 0.018),
- libdigest-perl (<< 1.17.01),
- libextutils-install-perl (<< 2.04),
- libhttp-tiny-perl (<< 0.070),
- libcpan-meta-requirements-perl (<< 2.140),
- libexperimental-perl (<< 0.016),
- pristine-tar (<< 1.33),
- polygen-data (<< 1.0.6.ds2-13.1),
- rinse (<< 3.0.7),
- tvtime (<< 1.0.2-14),
- pure-ftpd-common (<< 1.0.36-3.2),
- mono-apache-server2 (<< 3.8-2.1),
- mono-apache-server4 (<< 3.8-2.1),
- mono-fastcgi-server2 (<< 3.8-2.1),
- mono-fastcgi-server4 (<< 3.8-2.1),
- shorewall (<< 4.6.4.3-2),
- shorewall-core (<< 4.6.4.3-2),
- patcher (<< 0.0.20040521-6.1),
- cli-common (<< 0.9+nmu1),
- libtest-use-ok-perl (<< 1.302073),
- libtest-tester-perl (<< 1.302073),
- maildirsync (<< 1.2-2.1),
-Replaces: perl-modules,
- perl-base (<< 5.22.0~),
  libpod-parser-perl (<< 1.63),
  libansicolor-perl (<< 4.06),
  libnet-perl (<< 1:3.10),
@@ -282,7 +183,7 @@
  libtest-harness-perl (<< 3.38),
  libtest-simple-perl (<< 1.302073),
  liblocale-codes-perl (<< 3.42),
- libmodule-corelist-perl (<< 5.20170922.26),
+ libmodule-corelist-perl (<< 5.20180414.26),
  libio-zlib-perl (<< 1.10),
  libarchive-tar-perl (<< 2.24),
  libextutils-cbuilder-perl (<< 0.280225),
@@ -316,7 +217,93 @@
  libexperimental-perl (<< 0.016),
  libtest-use-ok-perl (<< 1.302073),
  libtest-tester-perl (<< 1.302073),
-Provides: perl-modules,
+ libb-debug-perl (<< 1.24),
+ maildirsync (<< 1.2-2.1),
+Replaces: perl-modules,
+ perl-base (<< 5.22.0~),
+ libpod-parser-perl (<< 1.63),
+ libansicolor-perl (<< 4.06),
+ libnet-perl (<< 1:3.10),
+ libattribute-handlers-perl (<< 0.99),
+ libi18n-langtags-perl (<< 0.42),
+ liblocale-maketext-perl (<< 1.28),
+ libmath-bigint-perl (<< 1.999806),
+ libnet-ping-perl (<< 2.55),
+ libtest-harness-perl (<< 3.38),
+ libtest-simple-perl (<< 1.302073),
+ liblocale-codes-perl (<< 3.42),
+ libmodule-corelist-perl (<< 5.20180414.26),
+ libio-zlib-perl (<< 1.10),
+ libarchive-tar-perl (<< 2.24),
+ libextutils-cbuilder-perl (<< 0.280225),
+ libmodule-load-perl (<< 0.32),
+ liblocale-maketext-simple-perl (<< 0.21.01),
+ libparams-check-perl (<< 0.38),
+ libmodule-load-conditional-perl (<< 0.68),
+ libversion-perl (<< 1:0.9917),
+ libpod-simple-perl (<< 3.35),
+ libextutils-parsexs-perl (<< 3.340000),
+ libpod-escapes-perl (<< 1.07),
+ libparse-cpan-meta-perl (<< 2.150010),
+ libparent-perl (<< 0.236),
+ libautodie-perl (<< 2.29-2),
+ libthread-queue-perl (<< 3.12),
+ libfile-spec-perl (<< 3.6700),
+ libtime-local-perl (<< 1.2500),
+ podlators-perl (<< 4.09),
+ libunicode-collate-perl (<< 1.19),
+ libcpan-meta-perl (<< 2.150010),
+ libmath-complex-perl (<< 1.5901),
+ libextutils-command-perl (<< 7.24),
+ libmodule-metadata-perl (<< 1.000033),
+ libjson-pp-perl (<< 2.27400.02),
+ libperl-ostype-perl (<< 1.010),
+ libcpan-meta-yaml-perl (<< 0.018),
+ libdigest-perl (<< 1.17.01),
+ libextutils-install-perl (<< 2.04),
+ libhttp-tiny-perl (<< 0.070),
+ libcpan-meta-requirements-perl (<< 2.140),
+ libexperimental-perl (<< 0.016),
+ libtest-use-ok-perl (<< 1.302073),
+ libtest-tester-perl (<< 1.302073),
+ libb-debug-perl (<< 1.24),
+Provides: perl-modules
+Description: Core Perl modules
+ Architecture independent Perl modules.  These modules are part of Perl and
+ required if the `perl' package is installed.
+ .
+ Note that this package only exists to save archive space and should be
+ considered an internal implementation detail of the `perl' package.
+ Other packages should not depend on `perl-modules-5.26' directly, they
+ should use `perl' (which depends on `perl-modules-5.26') instead.
+
+Package: perl
+Priority: standard
+Architecture: any
+Multi-Arch: allowed
+Pre-Depends: dpkg (>= 1.17.17)
+Depends: perl-base (= ${binary:Version}), perl-modules-5.26 (>= ${source:Version}), libperl5.26 (= ${binary:Version}), ${shlibs:Depends}
+Conflicts: libjson-pp-perl (<< 2.27200-2)
+Breaks: perl-doc (<< ${Upstream-Version}-1), libperl-dev (<< 5.24.0~)
+Replaces: perl-modules (<< 5.22.0~)
+Provides: perl-cross-config,
+ libdigest-md5-perl,
+ libmime-base64-perl,
+ libtime-hires-perl,
+ libstorable-perl,
+ libdigest-sha-perl,
+ libsys-syslog-perl,
+ libcompress-zlib-perl,
+ libcompress-raw-zlib-perl,
+ libcompress-raw-bzip2-perl,
+ libio-compress-zlib-perl,
+ libio-compress-bzip2-perl,
+ libio-compress-base-perl,
+ libio-compress-perl,
+ libthreads-perl,
+ libthreads-shared-perl,
+ libtime-piece-perl,
+ libencode-perl,
  libpod-parser-perl,
  libansicolor-perl,
  libnet-perl,
@@ -363,19 +350,18 @@
  libexperimental-perl,
  libtest-use-ok-perl,
  libtest-tester-perl,
-Description: Core Perl modules
- Architecture independent Perl modules.  These modules are part of Perl and
- required if the `perl' package is installed.
- .
- Note that this package only exists to save archive space and should be
- considered an internal implementation detail of the `perl' package.
- Other packages should not depend on `perl-modules-5.26' directly, they
- should use `perl' (which depends on `perl-modules-5.26') instead.
-
-Package: perl
-Priority: standard
-Architecture: any
-Multi-Arch: allowed
-Pre-Depends: dpkg (>= 1.17.17)
-Depends: perl-base (= ${binary:Version}), perl-modules-5.26 (>= ${source:Version}), libperl5.26 (= ${binary:Version}), ${shlibs:Depends}
-Conflicts: libjson-pp-perl (<< 2.27200-2)
+ libb-debug-perl,
+Recommends: netbase
+Suggests: perl-doc, libterm-readline-gnu-perl | libterm-readline-perl-perl,
+ make
+Description: Larry Wall's Practical Extraction and Report Language
+ Perl is a highly capable, feature-rich programming language with over
+ 20 years of development. Perl 5 runs on over 100 platforms from
+ portables to mainframes. Perl is suitable for both rapid prototyping
+ and large scale development projects.
+ .
+ Perl 5 supports many programming styles, including procedural,
+ functional, and object-oriented. In addition to this, it is supported
+ by an ever-growing collection of reusable modules which accelerate
+ development. Some of these modules include Web frameworks, database
+ integration, networking protocols, and encryption. Perl provides
