=== debian/rules ===
--- 
+++ 
@@ -106,6 +106,12 @@
 # disable tests declared upstream as not useful for packaging
 export PERL_BUILD_PACKAGING=1
 
+# Debian Bug #896827: riscv64 currently has excessively slow build hosts
+DEB_BUILD_ARCH          ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+ifeq (riscv64,$(DEB_BUILD_ARCH))
+export PERL_TEST_TIME_OUT_FACTOR=3
+endif
+
 build: build-stamp
 install: install-stamp
 
@@ -223,12 +229,3 @@
 	    -e 's/^(man1ext=).*/$$1'\''1p'\''/;' \
 	    -e 's/^(man3ext=).*/$$1'\''3pm'\''/;' \
 		$(lib)/Config.pm $(lib)/Config_heavy.pl \
-		$(lib)/Config.pm.static $(lib)/Config_heavy.pl.static
-
-ifeq (,$(perlabi))
-else
-	# add \$Config{debian_abi}
-	sed -i -e "/version =>/i\    debian_abi => '$(perlabi)'," \
-		$(lib)/Config.pm $(lib)/Config.pm.static
-endif
-
