## perl 5.28.1

=== debian/changelog ===
perl (5.28.1-6+deb10u1) buster; urgency=medium

  * Multiple regexp security fixes (Closes: #962005)
     + [SECURITY] CVE-2020-10543: Buffer overflow caused by a crafted
       regular expression
     + [SECURITY] CVE-2020-10878: Integer overflow via malformed bytecode
       produced by a crafted regular expression
     + [SECURITY] CVE-2020-12723: Buffer overflow caused by a crafted
       regular expression
  * Fix FTBFS with IPv6-only host (Closes: #962019)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 21 Jul 2020 20:27:00 +0100

perl (5.28.1-6) unstable; urgency=medium

  * Fix NDBM autopkgtests by recreating necessary hardlinks at test time
    (Closes: #925179)
  * Update patch metadata for the POSIX::mblen() fix.

 -- Niko Tyni <ntyni@debian.org>  Sun, 31 Mar 2019 14:51:22 +0300

perl (5.28.1-5) unstable; urgency=medium

  * Patch perlbug to use "editor" as the default editor. (Closes: #922609)
  * Add a Breaks entry for older versions of libdist-inkt-perl.
    (Closes: #924506)
  * Add a README.Debian note about overriding the default perldoc formatter.
    (See: #917530)
  * Include arch-specific data for NDBM and GDBM autopkgtests.
    (Closes: #923409)
  * Break older versions of libmarc-charset-perl, broken by libgdbm changes.
    (Closes: #924719)
    + Build-Depend on a current libgdbm-dev to guarantee compatibility
      with the new LFS-enabled database binary format.
  * Fix crashing POSIX::mblen(). (Closes: #924517)

 -- Niko Tyni <ntyni@debian.org>  Sat, 16 Mar 2019 16:02:28 +0200

perl (5.28.1-4) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Include upstream patches fixing piped open (Closes: #916313)

  [ Niko Tyni ]
  * Revert to upstream changes for disabling Storable probing.

 -- Niko Tyni <ntyni@debian.org>  Sat, 02 Feb 2019 18:30:38 +0200

perl (5.28.1-3) unstable; urgency=low

  [ Dominic Hargreaves ]
  * Include upstream patches fixing perl -i (Closes: #914651)

  [ Niko Tyni ]
  * Re-adopt versioned Provides for the dual lived modules.
    (Closes: #758100)
    + upload with low urgency in the unlikely case that this hits
      new Debian infrastructure issues like it did in 2017

 -- Niko Tyni <ntyni@debian.org>  Fri, 07 Dec 2018 15:23:05 +0200

perl (5.28.1-2) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Add 5.28.1 to debian/released-versions
  * Drop incorrect libversion-requirements-perl Provides (Closes: #914809)

  [ Niko Tyni ]
  * Add a maintainer / autopkgtest check for debian/released-versions
    contents.
  * Apply patch by Bernhard M. Wiedemann fixing Time-Local tests in the
    year 2020 and onwards. (Closes: #915209)
  * Fix t/porting/manifest.t failures when run in a git checkout.
    (Closes: #914962)
  * Add current data for database and compression autopkgtest checks.
  * Update cross build support files.
  * Slightly improve maintainer test stderr handling.
  * Disable Storable stacksize probing at build time. (Closes: #914133)
    + apply upstream patches that disable the probing when cross-compiling
    + amend the cross-compling fix to also look at PERL_STORABLE_DONT_PROBE
      in the environment, and set that in debian/rules

 -- Niko Tyni <ntyni@debian.org>  Mon, 03 Dec 2018 20:24:24 +0200

perl (5.28.1-1) unstable; urgency=high

  [ Niko Tyni ]
  * Special case libextutils-parsexs-perl in maintainer / autopkgtest
    checks (Closes: #914222)
  * Update patch metadata for patches applied upstream.

  [ Dominic Hargreaves ]
  * Include note in README.source about importing new upstream releases.
  * New upstream release
    - [SECURITY] CVE-2018-18311: Integer overflow leading to buffer
      overflow and segmentation fault
    - [SECURITY] CVE-2018-18312: Heap-buffer-overflow write in S_regatom
      (regcomp.c)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 29 Nov 2018 19:17:43 +0000

perl (5.28.0-4) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Add missing test dependency for 'prove' test (Closes: #913096)

  [ Niko Tyni ]
  * Make perl Break apt-show-versions (<< 0.22.10) due to Storable
    changes. (Closes: #913349)
  * Cherry-pick several upstream fixes:
    + improve Storable recursion checks (Closes: #912900)
    + fix $^X when /proc is not mounted (Closes: #913347)
    + avoid mangling /bin non-perl shebangs on merged-/usr systems
      (Closes: #913637)
  * Apply patch from Helmut Grohne making Errno_pm.PL compatible with
    /usr/include/<ARCH>/errno.h . (Closes: #875921)
  * Apply patch from James Clarke fixing 'perl -i' functionality
    on kfreebsd. (See #912521)
  * Change perl-debug package priority from extra to optional.
  * Remove unused outdated lintian overrides.
  * Make perl-base and libperl5.28 Suggest sensible-utils for
    sensible-pager. (Closes: #914013)

 -- Niko Tyni <ntyni@debian.org>  Mon, 19 Nov 2018 20:01:39 +0200

perl (5.28.0-3) unstable; urgency=medium

  * Temporarily patch GDBM_File fatal.t for gdbm >= 1.16 compatibility.
    (Closes: #904005)
  * Merge 5.26.2-7 from unstable.
  * Update debian/released-versions to include 5.28.0.
  * Remove 5.26 specific SIGUNUSED related config.sh fiddling.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Wed, 31 Oct 2018 17:45:10 +0200

perl (5.28.0-2) experimental; urgency=medium

  * Amend debian/deprecate-with-apt.diff to for other Locale-Codes modules.
    (Closes: #903705)
  * Add upstream patch fixing file descriptor exhaustion with in-place edits.
    (Closes: #902925)
  * Patch away debugperl stack extension checks.
    (Closes: #902779)
  * Break older versions of libfilter-perl due to bundled Filter::Util::Call.
    (Closes: #884401)
  * Update some outdated links and information in debian/copyright.
  * Update cross build support files.

 -- Niko Tyni <ntyni@debian.org>  Mon, 16 Jul 2018 11:22:42 +0300

perl (5.28.0-1) experimental; urgency=medium

  [ Dominic Hargreaves ]
  * Merge 5.26.2-6 from unstable
    - [SECURITY] CVE-2018-12015: fix directory traversal vulnerability

