=== debian/rules ===
--- 
+++ 
@@ -135,7 +135,7 @@
 	mv config_h.SH config_h.SH.orig
 	ln -s regen-configure/U
 	ln -s regen-configure/.package
-	metaconfig -m -L regen-configure/dist
+	metaconfig -X .metaconf-exclusions.txt -m -L regen-configure/dist
 	./Porting/config_h.pl # reorders config_h.SH
 	chmod +x config_h.SH Configure # placate t/porting/exec-bit.t
 	touch $@
@@ -228,4 +228,3 @@
 	$(PERL_TO_USE) -i -p \
 	    -e 's/^(man1ext=).*/$$1'\''1p'\''/;' \
 	    -e 's/^(man3ext=).*/$$1'\''3pm'\''/;' \
-		$(lib)/Config.pm $(lib)/Config_heavy.pl \
