## perl 5.28.1.2

=== debian/changelog ===
perl (5.28.1.2-6+deb10u1) unstable; urgency=medium

  * update

 -- Niko Tyni <ntyni@debian.org>  Tue, 30 Mar 2021 12:39:24 +0800

perl (5.28.1.2-6+deb10u1) buster; urgency=medium

  * Merged debian10.5 update to UOS

 -- Uniontech <marketing@uniontech.com>  Thu, 27 Aug 2020 11:02:16 +0800

perl (5.28.1.1-6+deb10u1) buster; urgency=medium

  * Multiple regexp security fixes (Closes: #962005)
     + [SECURITY] CVE-2020-10543: Buffer overflow caused by a crafted
       regular expression
     + [SECURITY] CVE-2020-10878: Integer overflow via malformed bytecode
       produced by a crafted regular expression
     + [SECURITY] CVE-2020-12723: Buffer overflow caused by a crafted
       regular expression
  * Fix FTBFS with IPv6-only host (Closes: #962019)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 21 Jul 2020 20:27:00 +0100
